# Generated by Django 4.2.7 on 2024-01-29 14:41

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='KombStRAPolygons',
            fields=[
                ('grid_id', models.IntegerField(primary_key=True, serialize=False, unique=True)),
                ('geometry', django.contrib.gis.db.models.fields.PolygonField(blank=True, null=True, srid=97019)),
            ],
            options={
                'db_table': 'kombstra_polygons',
            },
        ),
        migrations.CreateModel(
            name='KombStRAData',
            fields=[
                ('data_id', models.BigAutoField(help_text='ID of the event', primary_key=True, serialize=False)),
                ('duration', models.IntegerField(help_text='Duration class of the event (Dauerstufe) in minutes')),
                ('pval', models.FloatField(help_text='Precipitation amount of the event in mm')),
                ('pint', models.FloatField(help_text='Precipitation intensity of the event in mm/h')),
                ('sri', models.IntegerField(help_text='Starkregen-Index (SRI) of the event')),
                ('date', models.DateField(help_text='Date of the event')),
                ('event_rank', models.IntegerField(help_text='Rank of the event in the grid-cell')),
                ('grid_id', models.ForeignKey(db_column='grid_id', help_text='ID to link to the Grid-Cell', on_delete=django.db.models.deletion.DO_NOTHING, to='kombstra.kombstrapolygons')),
            ],
            options={
                'db_table': 'kombstra_data',
                'unique_together': {('grid_id', 'event_rank')},
            },
        ),
    ]
