# Generated by Django 5.0.2 on 2024-03-26 12:59

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('kombstra', '0001_initial'),
    ]

    operations = [
        migrations.RunSQL("""
            CREATE MATERIALIZED VIEW kombstra_sri_max_events AS (
                SELECT sri, max(nevents) as max_events
                FROM (
                    SELECT grid_id, sri, sum((max_sri>=sri)::int) AS nevents
                    FROM (
                        SELECT grid_id, max(sri) AS max_sri
                        FROM kombstra_data
                        GROUP BY grid_id, date
                        ) AS maxsri
                    LEFT JOIN (SELECT generate_series(0,12) AS sri) as sris ON TRUE
                    GROUP BY grid_id, sri
                    ) as sqnevents
                GROUP BY sri ORDER BY sri);
            CREATE OR REPLACE FUNCTION tg_kombstra_sri_max_events_refresh()
                RETURNS trigger LANGUAGE plpgsql AS $$
                BEGIN
                    REFRESH MATERIALIZED VIEW kombstra_sri_max_events;
                    RETURN NULL;
                END;
                $$;
            CREATE TRIGGER tg_kombstra_sri_max_events_refresh
            AFTER INSERT OR UPDATE OR DELETE ON kombstra_data
            FOR EACH STATEMENT EXECUTE PROCEDURE tg_kombstra_sri_max_events_refresh();""",
            """DROP MATERIALIZED VIEW kombstra_sri_max_events;
            DROP TRIGGER tg_kombstra_sri_max_events_refresh ON kombstra_data;
            DROP FUNCTION tg_kombstra_sri_max_events_refresh;""",
            state_operations=[
                migrations.CreateModel(
                    name='KombStRASRIMaxEvents',
                    fields=[
                        ('sri', models.IntegerField(primary_key=True, serialize=False)),
                        ('max_events', models.IntegerField()),
                    ],
                    options={
                        'db_table': 'kombstra_sri_max_events',
                        'managed': False,
                    },
                ),
            ]
        ),
        migrations.AlterModelTableComment(
            name='KombStRASRIMaxEvents',
            table_comment='View for the maximum number of events per SRI',
        )
    ]
